Introduction

 Return to Introduction

BWMeter

Copyright © DeskSoft

www.desksoft.com

BWMeter is a powerful bandwidth meter, monitor and traffic controller, which measures, displays and controls all traffic to/from your computer or on your network. Unlike other products, it can analyze the data packets (where they come from, where they go, which port and protocol they use). This makes it possible to distinguish between local and internet traffic for example. BWMeter can also be used for traffic control by setting a speed limit for all kinds of connections or restricting access to certain internet sites. It creates statistics for all computers in your network, measuring and displaying all LAN traffic as well as download / upload from the internet. You can even define filters which show your transfer with certain internet addresses (e.g. to see how much data you download from your favorite news server). BWMeter is ideal for home users to get an overview of how much bandwidth they use, as well as small to large businesses, where one computer can control the traffic and maintain the statistics of downloaded / uploaded data of all computers in the network. The product is easy to configure and offers a rich set of options and features for beginners as well as experts and network administrators.

Main Features:

· Graphical and numerical display of bandwidth
· User definable filters for measuring bandwidth
· User definable graphs to visualize bandwidth
· Can monitor all network interfaces / adapters
· Can monitor and display all traffic on the network
· Traffic control, access control and speed limits
· Creates daily, weekly, monthly and yearly statistics
· Shows statistics of other computers running BWMeter
· Alerts and notifications
· Shows hostile internet traffic (hackers, viruses, etc.)
· Statistics can be exported / imported
· Easy installation and configuration with default options
· Supports LAN, WAN, VPN, ADSL, xDSL, Modem, Dial-Up, etc.
· Can run as a Service (Windows 2000, XP and 2003 only)
· Total flexibility
· Many options for full customization
· Now with full 64 bit support!

System Requirements:

Supported operating systems:

· Windows 2000
· Windows XP
· Windows XP x64
· Windows Vista
· Windows Vista x64
· Windows Home Server
· Windows Server 2003
· Windows Server 2003 x64
· Windows Server 2008
· Windows Server 2008 x64

For older operating systems (Windows 95, 98, ME and NT4), please download version 3 of BWMeter from our website.


Installation & Uninstallation

To install BWMeter, simply run "BMSetup.exe". The Setup program will guide you through all necessary steps. If you want to remove BWMeter from your computer, select "Uninstall" from the BWMeter program group or use "Add/Remove Software" in the Windows Control Panel.

If you are upgrading from an older version, simply install the new version over the old one - the setup program will inform you if it's necessary to uninstall the old version first.

Unattended setup: if you want to install BWMeter automatically, without user interface, please include the installation path as a command line parameter. Also, any file included in the command line will be copied to the installation path by the setup program. Here is an example:

BMSetup.exe "C:\Program Files\BWMeter" License.dlc

This command line will install BWMeter to the default installation path and copy the license file "License.dlc" to the installation path. "License.dlc" must be in the same folder as "BMSetup.exe" so that the setup program can find it.

After unattended setup, a text file "BMSetup.log" will be created. It contains the result of the installation.


Configuration Data

BWMeter stores all its configuration parameters and the license file in the data folder, which is selected during setup. The "About" dialog contains links to the program installation folder and the data folder. Simply click these items to open the respective folders. This way, you can easily backup the contents of the data folder to any other location.

To backup your configuration, simply open the data folder, quit BWMeter to make sure it saves all its configuration data and then copy the contents of the data folder to a backup location (or compress the files with a zip utility).

If you want to restore the configuration data, simply open the data folder, make sure to quit BWMeter and then copy the files from the backup location back to the data folder. This will completely restore all configuration and registration data.

Backing up and restoring the configuration data is especially useful if you want to move the installation from one computer to another or before upgrading to a new version. However, it's not recommended to restore the configuration data this way after upgrading to a newer version, because the data format could have changed in the new version and using old data could cause the program to malfunction.


License Agreement

End User License Agreement

You may evaluate the program for a maximum of thirty days, after which you must purchase a license or discontinue its use. You may allow other users to evaluate copies of the demo version. All evaluation users are subject to the terms of this agreement.

A license is valid for a single person who uses the software personally on one or more computers (e.g. work PC, home PC, laptop, etc.), or it can be installed on a single computer used non-simultaneously by multiple people. If multiple people use the software simultaneously or on multiple computers, you must purchase a number of licenses equal to the number of users who use the product, or each user must have a separate license.

The sale and/or distribution of licenses of this software is strictly forbidden. It is a violation of this agreement to loan, rent, lease, borrow, or transfer licensed copies or licenses.

You may not reverse engineer, decompile, disassemble or change the software or its components in any way. DeskSoft retains title and all ownership rights to the software. You may not use any part of the software for any purpose other than the intended use of the software or outside the scope of the product.

The customer agrees that use of the services and products provided by DeskSoft is entirely at the customer's own risk. Services and products are provided 'as is,' without warranty of any kind, either expressed or implied. Because of the various hardware and software environments into which the software may be put, no warranty of fitness for a particular purpose is offered.

The composition of texts, data, information, details and images for this software was done with highest possible care. Nevertheless, we can not eliminate any possibility of the existence of incorrect information or data. DeskSoft can not be held responsible or liable for any incorrect information, data, etc. and their consequences.

Neither DeskSoft nor anyone else involved in creating, producing, distributing or delivering this software is responsible for any damages whatsoever, including loss of information, interruption of business, personal injury and/or any damage or consequential damage without limitation, incurred before, during or after the use of our products. If, for some reason, anyone is found liable in respect of any matter, the liability in respect of any claim or loss shall be limited to the amount paid by the customer for the software.


Privacy Policy

This product does not collect or use any PII (Personally identifiable information), such as name IP address, personal data, etc. Your privacy is guaranteed at all times.


Purchasing BWMeter

For pricing information, order conditions and information about how to purchase BWMeter online, please visit our website:

Purchase Purchase BWMeter

After ordering the product, you will receive your personal license and detailed activation instructions per email.

IMPORTANT: Please keep a copy of your license file at a safe place, because you will need it every time you reinstall the product!


Contacting DeskSoft

If you have any questions or comments, please do not hesitate to send us an email or visit our website:

Web: http://www.desksoft.com

Email: support@desksoft.com

If you experience any problems running the program, please send us a detailed description and please make sure to include information about your computer configuration, hardware and software.

IMPORTANT

Please include the product name "BWMeter" in the subject line of your email, or it could be deleted by our spam filter!

We answer all emails within a maximum of 3 business days (usually even within a few hours), so if you don't receive an answer from us, there's probably something wrong with your email address. In this case, please send us your message again and make sure to use a working email address so that we can reply to your email!


Getting Started

When BWMeter is installed for the first time, it is configured to monitor all network interfaces in the computer and to measure and display local network traffic and internet traffic separately. Two graph windows will be displayed, one shows the traffic between the computer and the local network and the other shows the traffic between the computer and the internet (internet download and upload). This is the basic scenario which will be suitable for most home users who want to check their internet usage separately from their local area network (LAN) traffic.

After installation, you should check the "Local Network" settings in the main options. If you have a stand-alone PC which is connected to the internet, the "IP addresses of the local network" should be set to the complete IP address of your computer. If your PC is part of a LAN, please enter the address mask of your LAN and use * to indicate a range from 0 to 255. E.g. if your home LAN has addresses between 192.168.0.0 and 192.168.255.255, you should set the IP addresses option to 192.168.*.* It's important to configure this option correctly so that BWMeter can distinguish between traffic within your LAN and to/from the internet.

The next step to configure and optimize BWMeter is to remove all unneeded network interfaces from the list of monitored interfaces. This list can be found in the options of the main dialog. The main dialog will be displayed if you double-click a graph window or select "Options" from the context menu, which is displayed upon right-clicking a graph window or the tray icon. You can mark all unneeded interfaces in the list and then press "Remove" to remove them from the list. If you are not sure which interfaces to monitor, simply leave all interfaces in the list and remove unneeded ones later, when you are familiar with the program and its functions.

BWMeter's main components are the "Filters", which measure and control network traffic according to the rules defined for the filters. You can create filters for any source or destination computer, subnets, networks, etc., for any port or protocol. These options should be used by experienced users - if you are not familiar with these terms and concepts of networking, the default configuration of BWMeter should be enough to gather all important data for you.

The second major component is the "Graph". You can define many graph windows, which will display the activities of one or more filters. This concept allows the best possible flexibility and you can customize each graph to suit your needs.

The "Statistics" tab shows the total transfer for each filter, grouped in days, weeks, months or years. The "Overview" button will display an overview over all filters in the selected period of time.

By default, BWMeter monitors your network interfaces in local mode, which means that only packets that are addressed to/from your computer will be monitored. Some network cards also support the so called "promiscuous" mode, where they see all packets on the network, no matter where they are addressed to. To use this mode, please switch the respective network interface to monitor "all traffic" (on the options tab of the main dialog). This mode can be used to monitor the activity of all PCs in the network from one central computer. However, this only works if all computers are in the same segment of the local network, e.g. connected by a hub. If the PCs are connected using switches or routers, each PC will not be able to monitor all packets, because switches and routers filter the network packets before they are passed to the computers (i.e. only packets addressed to a computer will be passed to its network interface). In this case, you can install BWMeter on a so called "Sniffer" PC, which has access to all network segments or connect the network interface to a sniffer port of your Switch or Router. If this is not available, you can install BWMeter on all PCs you want to monitor and use the "Remote Statistics" feature to see the statistics of all PCs on one centralized computer.

BWMeter is intuitive and relatively easy to configure and it is preconfigured to suit most people's needs. Nevertheless we recommend reading all chapters of this manual to understand all concepts and functions of the program.


Using BWMeter

The user interface of BWMeter consists of several parts: the graph windows, which show the network activity and display a context menu when they are right-clicked, a main dialog with all configuration options, statistics, details, etc. and optional tray icons for accessing most options directly.

The following chapters explain all parts of the program.


Graph Windows

The graph windows visualize the activity of your network. Depending on how you configure the graphs, they will show download, upload or local data transfers. Each graph window can be configured separately. Detailed information about graphs and their configuration can be found in the "Graphs" chapter below.

To move a graph window, simply click the left mouse button inside the window, hold it down and move the mouse. This way, you can drag the graph window across the desktop to any position just as a usual window. To change the size of the graph, drag a corner or a side to the desired position. Handling the graph windows works like handling usual windows.

Double-clicking the graph window will open the main dialog and right-clicking the graph will open the context menu, which offers many functions of BWMeter directly.

Some visual aspects of the graph windows can be defined with the "Window" menu item of the context menu. Simply right-click a graph window and navigate to the "Window" item. There you can choose if the window should be always on top of others, if it should be included in the taskbar, if it should have a caption, etc. You can also "Lock" the window, which means that it can't be moved, resized or closed. This is practical if you want to keep it at the same place at all times, preventing accidental moving, closing, etc. Windows can also be locked to resolution changes, which means that if your display resolution changes, the windows size and position will not be adjusted.

You can also make the graph windows transparent by selecting the transparency level from the context menu. Once a graph is transparent, you can also "ghost" it, which means that all mouse clicks will pass through the graph window to the object below the graph. Once the ghost mode is active, you can not switch it off directly, because the graph will not react to mouse clicks anymore. So to disable the ghost mode again, you need to switch it off in the graph options of the main dialog or simply start BWMeter again (while it is running).


Context Menu

The context menu of BWMeter is displayed when you right-click inside a graph window or a tray icon. The items before the separator are used to open the main dialog and select the respective tab (see the chapter about the main dialog below).

"Stop Traffic" instantly stops all traffic of all the filters displayed by the graph. This is useful for temporarily disabling the internet connection while keeping LAN traffic enabled, for example. If you select this item in the context menu of the main tray icon of BWMeter, the network traffic of all monitored interfaces will be disabled.

"Speed Limit" enables/disables the speed limits of all the filters displayed by the graph. This is useful for temporarily limiting the speed of the internet connection while keeping LAN traffic at full speed, for example. If you select this item in the context menu of the main tray icon of BWMeter, the network traffic monitored by all filters will be speed limited. IMPORTANT: by default, the speed limits of all filters are set to 0 bytes per second. If you enable the speed limit, all traffic will be stopped. So please make sure to set the desired speed limits in all filters before using this option. Also, this context menu item will always enable both download and upload speed limits, so please set both to reasonable values.

With "Hide", you can hide the selected graph. If all graphs are hidden, the context menu of the tray icon will include a "Show" item, that can be used to show all graph windows again.

"Clear" clears the graph and the maximum value (if automatic or dynamic scaling is selected). The filter and statistics will not be affected.

The "Window" submenu contains items for changing the visual style of the graph window. This item is only present if you right-click a graph or its tray icon. It's not present in the context menu of the main BWMeter tray icon.

"Help" and "About" are used to display the program manual and program information.

"Quit" exits the program.


Tray Icons

The tray icons of BWMeter can be used to open the main dialog or access frequently used functions. Tray icons are optional and can be deactivated in the main options.

Clicking or double-clicking a tray icon opens the main dialog, shows/hides the graph windows or stops/starts the network traffic, depending on the configuration you choose.

Right-clicking a tray icon opens the context menu (see above).


Command Line Parameters

BWMeter supports the following command line parameters:

BWMeter.exe -QUIT

This command quits BWMeter.

BWMeter.exe -RESETFILTER "Filter name 1" "Filter name 2" ...

This command resets the statistics of the listed filters. The filter names must be specified exactly and they are case sensitive! This command is particularly useful if you have a speed limit intact, that is activated when a certain amount of bandwidth is exceeded. With this command, you can reset that limit.

BWMeter.exe -WAITFORDATAPATH

This parameter makes BWMeter wait for the data folder (the location where the program stores all its settings, configuration, statistics, etc.) to become available before the program starts. The location of the data folder is specified during setup and in certain cases, it might not be available when BWMeter starts (e.g. if the data folder is on a network drive or removable drive which is not available immediately after Windows startup, because it must be mounted or inserted first). Using this parameter, you can make sure that BWMeter is able to access its data folder to load the configuration, use the statistics, etc. This parameter is used by default when you select the option "Start with Windows". During the waiting time, the main icon of BWMeter will flash in the tray notification area of Windows to indicate that the program is waiting for the data folder to become available. Without this parameter, BWMeter will display an error message and quit, if it cannot access its data folder.


Main Dialog

The main dialog of BWMeter is displayed if you double-click a graph window or a tray icon (if it is configured this way). Additionally, right-clicking a graph window or the tray icon will display a context menu, which contains items to open the main dialog. The main dialog consists of several tabs, which will be explained in detail in the following sections. Please make sure to always confirm any changes you make by pressing "Apply" or "OK". Only then, your changes will be applied.


Options

The options tab displays BWMeter's main options. You should always start configuring the program here, because it defines some basic settings which are necessary for functioning properly. Here are the details:

General Options

Start with Windows: If you check this option, BWMeter will be started at Windows startup automatically. We recommend using this option so that all your activity will be included in the statistics. If BWMeter is started automatically at Windows startup, it will wait for the data folder (the location where the program stores all its settings, configuration, statistics, etc.) to become available before the program starts. The location of the data folder is specified during setup and in certain cases, it might not be available when BWMeter starts (e.g. if the data folder is on a network drive or removable drive which is not available immediately after Windows startup, because it must be mounted or inserted first). During the waiting time, the main icon of BWMeter will flash in the tray notification area of Windows to indicate that the program is waiting for the data folder to become available.

Run as a Service: Select this option to run BWMeter as a Service independent of the currently logged on user. This option is only available under Windows NT, 2000, XP and 2003 and should only be used by experienced users! If you don't need the special functionality of a service, do not use this option!

IMPORTANT: if you selected "Create subfolder for each user" during installation, the service option will not be available! In service mode, BWMeter can not distinguish between different users, so it must always store its configuration data and statistics, etc. in the same folder for all users.

Tray Icons

Show BWMeter tray icon: This option will put an icon in the tray area of Windows. Practical for accessing functions of BWMeter anytime. Left-clicking the tray icon opens the options dialog, right-clicking opens the context menu which includes the most useful commands. See the chapter about the tray icon for details.

Single-click or Double-click: Here you can choose what will happen when you click or double-click the tray icon.

Show graph tray icons: Here you can choose which graph will be represented as a tray icon. If you add a graph to this list, a tray icon will show the activity of this graph (see graph tray icon mode). With "Add" and "Remove" you can set the order in which the tray icons will appear. The colors of the tray icons (frame and background) can be set in the "Colors" section of the graph options. Remark: on some systems, the order of the tray icons, as they actually appear in the tray area, may be reversed. In this case, please reverse the order in the list to get the desired order.

Graph tray icon mode: the mode parameter lets you choose what the graph tray icons will display. "Real-time" shows the last 14 values (14 seconds or more if you choose a higher update interval for this graph) and "Complete" displays the whole image of the graph in the tray icon. This mode compresses all the information of the graph into the tray icon.

Interfaces to Monitor

This list shows all network interfaces of your computer which BWMeter will monitor. By default, it includes all interfaces found in your computer, but to keep the used system resources as low as possible, you should remove any unneeded interfaces from the list. If you are not sure which interfaces you need to monitor, simply try removing them one by one and see if the program still monitors the traffic correctly. Can add any removed interface anytime again by pressing the "Add" button.

Dial-up connections are usually combined as the "WAN Network Interface" or "PPP Adapter" (depending on your operating system version). So if you connect to the internet with a modem, ADSL, WAN, RAS, etc., the WAN Network Interface will be the important interface to monitor.

When you add interfaces, you can choose the "Interface Mode". The two options are: monitor "Only local traffic" or "All traffic on the network".

Only local traffic: The selected interface will only monitor data packets that are addressed to (or from) this network interface. Use this option if you only want to monitor traffic from and to your computer, and no data transfers of other computers in the local network. This option must be selected for dial-up connections!

All traffic on the network: The selected interface will monitor all packets on the network. This mode is called "promiscuous". Most network interfaces support this mode in which they will see all traffic on the network, no matter if the data packets are addressed to this interface or not. You must choose this mode if you want to see and measure traffic of other computers in the network too, and not only of your computer. If the selected interface doesn't support this mode, BWMeter will automatically change the mode back to "Only local traffic" when the program is restarted. Important: monitoring other computer's network activities will not work if the other computers are not connected via hubs, but via switches or routers, because these components filter network traffic before it reaches the network interfaces of the PCs!

IMPORTANT: BWMeter will not let you select "All Traffic" for Dial-Up and other WAN connections! It will default back to "Local Traffic", no matter what you select. If you still want to use promiscuous mode, press the "CTRL" key when you click OK in the "Add Interface" dialog. But you do this on your own risk, because it can affect system stability!

Local Network

IP addresses of local network: This defines the IP addresses of the local network. All computers which have an IP address that matches one of these masks will be considered as "local" computers, all others will be non-local (e.g. internet). If you have a stand-alone PC which is connected to the internet, the address mask should be set to the complete IP address of your computer. If your PC is part of a LAN, please enter the address mask of your LAN and use * to indicate a range from 0 to 255. E.g. if your home LAN has addresses in the range of 192.168.0.0 to 192.168.255.255, you should set the IP addresses option to 192.168.*.* It's important to configure this option correctly so that BWMeter can distinguish between traffic within your LAN and to/from the internet. You can enter up to 32 different IP address masks if your local network has more than one address ranges.

Periodically refresh local IP addresses: If IP addresses are dynamically assigned in your local network and they often change, this option instructs BWMeter to periodically update the local IP addresses from the host names at a given interval.

Password Protection

Use password protection: Enable this option to use password protection for changing the options of BWMeter.

Password: This is the actual password to use.


Filters

A filter measures the data transfer between a source and a destination. It counts all bytes that are sent in either direction. Data that is sent from the source to the destination is called "Upload" and data from the destination to the source is called "Download". Each data packet on the network has a "From" and a "To" IP address, which will be used to determine the direction. Source and destination can be defined as a single computer, a group of computers, a network segment, a subnet or a whole network (like the Internet). A filter can be limited to certain protocols or ports, or it can count all traffic between the selected source and destination.

The following paragraphs describe the filter options. After that, a few examples will illustrate how to use filters.

Filters

This list shows all currently defined filters in alphabetical order. You can add, copy or delete filters by pressing the corresponding buttons on the right side of the list box. Each filter must have a unique name! You can export a filter definition to a file to share it with others or to store it for later use.

Filter Definition

This group defines the source, destination, protocol and port to use for the selected filter. Each component has an include and an exclude list. A data packet on the network always has a "From" and a "To" IP address, a protocol and a port number. If a packet arrives, the filter will check if it matches any item in its include lists. If yes, it will also check if it matches any item in its exclude lists. If at least one include matches and no excludes match, the received packet will be counted by the filter. If not, the packet will be ignored by this filter, but it will be analyzed by all other filters too, of course.

Source: This tab defines the includes and excludes for the source address of network packets. It can be:

Address | Explanation | Examples
All addresses | All addresses will match | -
This computer only | Only the computer on which BWMeter is running will match. BWMeter will compare the address of the packet with all IP addresses assigned to this computer. | -
All computers in the local network | All computers in the local network (defined in the main options) will match. This equals "192.168.*.*" (or the respective numbers of your local network, which can be defined in the main options) plus all IP addresses assigned to the computer where BWMeter is running. | -
IP address | An IP address and an optional mask (leave the mask field empty to use no mask) | 192.168.15.33 Mask: 255.255.0.255
IP range | A range of IP addresses. | 192.168.0.0 to 192.168.100.100
Host name | A single host defined by a host name or an IP address. In this field, you can use * as a wildcard. | 192.168.100.* www.test.com
MAC address | The hardware (MAC) address of the packet. With this option, you can filter packets which are addressed to this network interface only, independently of IP addresses. | 01-23-45-67-89-AB

Destination: This tab defines the includes and excludes for the destination address of network packets. It is defined the same way as the source address (see above).

Protocol: This tab defines the includes and excludes for the protocol of network packets. You can choose all protocols, a specific one or a range for each include or exclude item of the lists.

Port: This tab defines the includes and excludes for the port number of network packets. You can choose all ports, a specific one or a range for each include or exclude item of the lists. In the "Advanced" mode, you can define source and destination port separately, whereas in the "Simple" mode, the given port applies to both.

Schedule: This group defines when a filter will be active. You can choose different days and times, which is necessary e.g. if you have special rates for your internet connection depending on the day or the time of the days. Some internet providers charge less at night than at day, and you can use these settings to record your internet activity separately for different times of the day.

Active days: Here you can select the weekdays on which the filter should be active.

Active time: This is the time span, when the filter should be active. For example: your internet connection has a "night flat rate", meaning you will not be charged for download at night between 21:00 in the evening and 07:00 in the morning. Your filter should be defined to be active between 07:00 and 20:59. This way, it will record only the times where your provider charges you for downloads.

Mode: Here you can select if you want to include the time span or exclude it. E.g. to measure the traffic between 21:00 evening and 07:00 morning, you can set the time span to 07:00 till 21:00 and set the mode to "Exclude". This way everything except traffic from 07:00 till 21:00 will be monitored.

General: This group defines the general parameters of the filter:

Include upload: Select this option to include the uploaded traffic.

Include download: Select this option to include the downloaded traffic.

Include IP protocol overhead: Select this option to include the overhead of the IP protocol. Without this option, only the data portion of the network packets will be counted. If this option is enabled, the total size of the network packets, including protocol overhead, will be counted. Usually, you will leave this option unchecked.

The next group defines the periods for the statistics. Usually, this is the first day of the month, but if e.g. your billing cycle of your internet provider starts on another day or month or at a time different than midnight, you can select this here. The periods can be set independently for each filter!

Day starts at: Here you can select the hour when the daily statistics should start. Default: 0 o'clock (midnight).

Week starts on: Here you can select the weekday on which the weekly statistics should start. By default, this is Monday.

Month starts on day: Select the number of the day of the month when the monthly statistics should start. Default: first of the month.

Year starts in: Here you can select the month in which the yearly statistics should start. By default, this is January.

Speed Limit

Here you can set the speed limits for the traffic of each filter separately:

Stop traffic: This stops all traffic through the selected filter. You can also switch this on/off in the context menu of each graph. This is very useful to temporarily disable the internet connection, for example.

Enable download speed limits: This sets the speed limit for downloads through the selected filter.

Enable upload speed limits: This sets the speed limit for uploads through the selected filter.

You can also switch this on/off in the context menu of each graph. To set a general speed limit for a filter, simply set download and upload limit to the same value. A value of zero will stop the traffic completely. The "Current Speed Limit" shows if the currently active speed limit of the filter is defined by the filter settings, or caused by an alert. Please see the chapter about alerts for more information about how to define conditional speed limits.

REMARKS:

BWMeter limits the speed with which Windows gets network packets from the network interface or with which it sends packets to the interface. This means, that if you set the limit to 1 KB/sec, for example, it is still possible that your network card receives some packets faster than that. The graphs will also show a higher speed at that moment and then no activity for the next period. This is normal, because BWMeter can only control the average speed of the traffic, not peak values. But you'll see that this has exactly the desired effect in practical operating conditions, so it's nothing to worry about. If you stop all traffic, no packets will be passed to Windows, but they will still be received by the interface if they come from the network. This is also normal and practically cuts off the network connection.

Please also keep in mind that a network connection always needs traffic in both directions to work. E.g. if you set the upload speed limit to zero, probably download will also stop working, because an active communication always needs confirmations from the other side. If these confirmations are missing, the sender will stop sending data. So you can not download data without allowing at least the upload of confirmation packets.

Examples

By default, BWMeter includes two predefined filters, "LAN" and "Internet":

LAN

This filter measures the traffic between your computer and the rest of the local area network. E.g. if you have three computers at home or in the office, this filter will monitor and meter all data transfer of the computer where BWMeter is running with the two other computers. No external traffic (download / upload from the internet) will be included!

To achieve this, the filter defines one source address include "THIS", which means that only the computer where BWMeter is running will be the source address. The destination is "LOCAL", which matches all computers in the local network. All protocols and ports will be monitored.

So this filter will only include packets where the "From" or "To" address of the packet is the IP address of this computer and the other is part of the local network. If the "From" address of the packet matches the source or the "To" address of the packet matches the destination, then it's an upload, otherwise a download.

Internet

This filter measures the traffic between your computer and the non-local network (= the Internet). Local traffic will be excluded.

To achieve this, the filter defines one source address include "THIS", which means that only the computer where BWMeter is running will be the source address. The destination is "ALL" excluding "LOCAL", which means that all addresses except the local ones will match. Again, all protocols and ports will be monitored.

The result is that this filter will only include packets where the "From" or "To" address of the packet is the IP address of this computer and the other is not part of the local network. If the "From" address of the packet matches the source or the "To" address of the packet matches the destination, then it's an upload, otherwise a download.

Example 1: My News Server

Let's try to define a filter which measures all our traffic with our favorite new server (e.g. news.test.com). This is practical to monitor our monthly quota and to check if we are billed correctly by our provider.

To achieve this, we would again use "THIS" as source address. The destination would be our news server news.test.com. All ports and protocols can be included.

And that's all it takes! Our filter is ready to work and it will show us how much we download / upload from our news server.

Example 2: HTTP access of all computers in the network

Let's define a filter that monitors and measures all the computers in my local network. We want to know, how much web surfing is done by all users on the net. This will not tell us details about how much each users surfed, but it will only deliver the combined total of all PCs. (If you need detailed statistics for each computer in the network separately, you can define a separate filter for each computer or you can use the "Network" statistics of BWMeter.)

We would begin with a source of "LOCAL" (or the equivalent numbers of your local network). This will include all computers in our network. The destination would again be "ALL" excluding "LOCAL", like in the "Internet" filter. Finally, we would define "ALL" protocols and "80 (HTTP)" as the port to be included.

A filter defined this way would measure all data transfer that is going out of our local network or coming into our network.


Graphs

A graph displays the activities of one or more filters. You need graphs if you want to see the transfer that is measured by filters. But you don't need to use graphs - filters will work even without the graphical display. In this case, you can see the filter activity in the statistics (see below) of each filter. But usually, we want to see what's going on in our network, so we need one or more graphs. Each update interval (default is one second), a graph draws a line to visualize the network activity. The higher the line, the more data was transferred during the last second. In addition to this, the numerical value will be displayed at the bottom of the graph. It will show how many kilobytes (KB), megabytes (MB), gigabytes (GB) or terabytes (TB) are transferred per second.

The following paragraphs describe the graph options. After that, a few examples will illustrate how to use graphs.

Graphs

This list shows all currently defined graphs in alphabetical order. You can add, copy or delete graphs by pressing the corresponding buttons on the right side of the list box. Each graph must have a unique name! You can export a graph definition to a file to share it with others or to store it for later use.

Show Activity of these Filters

This list includes the filter which should be visualized. You can select one or more filters by using the "Add" and "Remove" buttons. You must select at least one filter, or the graph will not display anything!

Activity: Select which data transfer directions should be displayed. Default is "Download & Upload" but you can also create separate graphs for download and upload, if you like. If you choose "Download + Upload", the sum of download and upload traffic will be displayed, the lower part in the graph will be the download and the upper part the upload.

Scale

This sets the scale for the graph, which is the maximum value it can display. If you choose "Custom Connection Speed", you can enter the value manually. 1024 bits per second equal 1 KB/s. "Automatic" scales the graph automatically to the highest value that is measured. If you don't know the maximum connection speed of your network interface, this is the recommended choice. However, if you know it, you should set it to get a better overview of your network load. If you choose automatic scaling, you can reset the value with the "Clear" item of the context menu. "Dynamic" scales the graph dynamically, so that the maximum value in the graph window will reach the full height of the graph.

Display units: Here you can choose the units for the graph display. Available options are kilobytes per second and kilobits per second.

Fractional digits: This is the number of fractional digits that will be used to display the current transfer rate. Simply choose the desired format from the list.

Force 1 pixel minimum if any activity: Activate this option to have the graph show at least 1 pixel of activity if there's any transfer picked up by the filter. Without this option, the display scale can downsize small network activity to less than one pixel, so that it will not be visible.

Update interval

The update interval defines how often the graph is updated. Default is 1 second, which will display a new value every second. If you choose a higher value, the graph will display the average transfer rate during that period of time. E.g. if you set this value to 3600 seconds, you will get one new value each hour which will represent the average transfer rate in that hour.

Visual Style

The visual style sets various visual aspects of the graph window:

General

Text: This option specifies if a textual representation of the current activity will be displayed and if so, on which side of the window it will be.

Maximum: This option specifies if the maximum scale value will be displayed and if so, on which side of the window it will be drawn. If you switch on the maximum display, it will also show information about any position in the graph display. Simply move the mouse cursor to any spot, and you'll see information about it.

Alert: This option specifies if an indicator of an alert will be displayed and if so, on which side of the window it will be. You can use the alert indicator to display transfer limits, current average transfer speeds, etc.

Smoothing: This option will smoothen the graph at the selected level by creating averages over the last couple of values.

Ghost (mouse clicks through): If the graph window is transparent, this option will be enabled. If you select it, the graph will be "ghosted", which means that all mouse clicks will pass through the graph to the underlying window or object. You can also enable the ghost mode in the context menu of the graphs. You can also switch off the ghost mode by restarting BWMeter while it is already running.

Note: This transparency option has been moved to the "Window" item of the context menu of the graphs.

Graph Colors

Here you can choose the colors that are used for displaying download, upload, both directions (when download and upload overlap or when no direction can be determined) and the background. Each item has two colors that are used for drawing a color gradient (works under Windows XP or higher). To change a color, simply click on it.

Horizontal Grid Lines

Position: This option sets the position of the horizontal grid lines. E.g. if you set it to 20%, a horizontal grid line will be drawn every 20% of the graphs height.

Layout: You can have the grid lines in front or behind the graph.

Color: This option sets the color of the grid lines.

Vertical Grid Lines

Interval: This option sets the interval of the vertical grid lines. E.g. if you set it to 60, a vertical grid line will be drawn every 60 seconds. You can enter any value or choose from the predefined ones (60 = one minute, 3600 = one hour, 86400 = one day).

Layout: You can have the grid lines in front or behind the graph.

Color: This option sets the color of the grid lines.

Movement: "Scrolling" makes the grid lines move with the rest of the graph, and "Static" keeps them at a static position.

Font

Here you can choose the font to be used in the graph. The font size is the maximum size to use if there's enough space. If the graph window is too small to display the text in the selected font, a smaller font size will be used automatically.

Alert Indicator

The alert indicator displays the current level (the current percentage of the threshold level) of an alert. You can use this indicator to e.g. show the percentage of a monthly bandwidth limit currently used, an average transfer speed, etc., depending on the definition of the alert.

Alert: This selects the alert to be used for the indicator.

Size: This is the size of the indicator bar in pixels.

Low: Colors to use for the indicator bar if the displayed percentage level is low. The Threshold specifies a level above which the indicator is displayed - below this value, the bar will be hidden. Use 0 to have the bar displayed all the time.

Medium: Colors to use for the indicator bar if the displayed percentage level is medium. The Threshold specifies a level above which these colors will be used.

High: Colors to use for the indicator bar if the displayed percentage level is high. The Threshold specifies a level above which these colors will be used.

Tray Icon Colors

Here you can choose the frame, background and stop indicator colors for the tray icon that displays the selected graph. This can be used for optically distinguishing the different tray icons.

IMPORTANT: Windows ME, XP and 2003 support true color tray icons. On all other systems (Windows 95/98/NT/2000), Windows will choose from 16 standard system colors that match the selected colors best, so your selection will not always produce the same results in the tray icon.

Position & Size

In this group you can specify the position (X and Y) and the size (Width and Height) of the currently selected graph window. You can get the current values by clicking "Get" and after changing the values, you can set the new position and size with "Set". This is useful if you want to align several graphs exactly or if graph windows are out of the visible desktop area (due to removing a monitor from a multi-monitor configuration, for example).

Visibility

With this group of options you can have BWMeter automatically show or hide the graph window depending on the current activity of the graph. This is especially useful if you want to see extreme situations or if you only want to see the graph if something is going on in that graph. Important: if you want a graph to appear on top of all other programs, please enable "Always on top" in the "Window" menu of the graph's context menu.

Visible: You can show or hide a graph with this option. If you close a graph window manually, it will be hidden, too. With this option you can make a graph active (so it will be updated regularly), but you can choose when to show it and when not.

Show if activity rises above: With this option you can make the graph appear if the activity is above the selected percentage. Use the delay value to adjust the dynamic behavior (e.g. show the graph only if activity is constantly above 90% for the last 5 seconds). You can use up to 2 decimal places for the percentage, e.g. 0,01%.

Hide if activity falls below: With this option you can make the graph disappear if the activity is below the selected percentage. Use the delay value to adjust the dynamic behavior (e.g. hide the graph only if activity is below 10% for the last 5 seconds). You can use up to 2 decimal places for the percentage, e.g. 0,01%.

Examples

By default, BWMeter includes two predefined graphs, "LAN" and "Internet", which simply display the filters with the same name. These two graphs are essentially the same, just one is only displaying the "LAN" filter, and the other one is displaying the "Internet" filter.


Statistics

The statistics tab of the main dialog shows statistics about all defined filters. You can select one or more filter from the list and the statistics table will display the total download and upload amounts measured by the selected filter(s) during the selected period. You can choose hourly, daily, weekly, monthly and yearly statistics. You can select the units or "Adaptive" to have BWMeter automatically choose appropriate units for the displayed values.

The buttons under the list are used to refresh the list, reset the statistics (warning: all statistics of the selected filter will be reset!) and to show an overview over the activities of all filters. The overview displays a list of the traffic of all filters in the selected period of time.

You can export the statistics to a file by pressing the "Export" button. The file type will be CSV, which can be imported by all major statistics and database programs and you can also open it with a text editor to view (or modify) the contents.

You can also import statistics for the selected filter which you have previously exported. Be careful when importing statistics, because this will delete all current statistics for the selected filter! Also, always use hourly (or daily) statistics for importing, or you will loose details!

The export/import mechanism gives you the opportunity to modify statistics (or add old values from other programs). Each line of statistics in the CSV file (you can edit this with a normal text editor) has the following format:

Period;Download;Upload;Sum

The ; is the delimiter and can be some other character. Unfortunately, this is dependant on your locale settings, but you can check which character is used by your system by exporting some statistics and taking a look.

The Period has this format:

DD.MM.YYYY HH:MM - DD.MM.YYYY HH:MM

DD is the day (two digits), MM is the month (two digits) and YYYY is the year (four digits). HH and MM are hour and minute. The complete period consists of a "from" and a "to" date and time.

If you want to edit or add statistics, it's recommended to simply export the current ones and then use copy and paste to add lines, or modify the existing ones. If you want to import statistics of a previous version of BWMeter, please make sure that the date is in this format:

DD.MM.YYYY

You don't need to add the rest (hours and "to" date).

Exporting statistics

In addition to manual export, BWMeter includes a small command line utility that exports the statistics automatically. This utility is "ExportStats.exe" and it can be found in the BWMeter installation directory. Usage of the program is as follows:

ExportStats.exe Source Destination [-Range:DATE,FROM-TO,YEAR,MONTH,DAY,HOUR] [-Sum] [-Units:KB,MB,GB,TB]

Source is the statistics file of BWMeter to export (filter name + extension .sts). BWMeter keeps all statistics files in the data directory specified during setup. By default, it'll contain "Internet.sts" and "LAN.sts". You can set the Source to any existing statistics file (full path!) or a folder which contains sts files. In the latter case, ExportStats will export all sts files found in the given source location.

Destination is the destination file or folder for the exported data. You can specify a filename (full path) if you export only one statistics file. If you specify a folder as source, the destination must also be a folder.

-Range is an optional parameter, with which you can control the date range of the exported data. You can specify these values:

1) YEAR: the statistics of the current year will be exported.

2) MONTH: the statistics of the current month will be exported.

3) DAY: the statistics of the current day will be exported.

4) HOUR: the statistics of the current hour will be exported.

5) A date in the format YYMMDDHH, where YY is the year (e.g. 04 for 2004), MM is the month (e.g. 11 for november), DD is the day (e.g. 19 for the 19th) and HH is the hour (00 to 23). You can use XX as a wildcard, e.g. 0411XX10 will export the statistics of all days of november 2004 for the time 10:00 to 10:59.

6) A date range in the format YYMMDDHH-YYMMDDHH, where the first is the beginning of the range and the second is the end. Wildcards are not allowed. E.g. 04110310-04111422 will export the data from the time span november 3rd, 10:00 o'clock to november 14th, 22:59 o'clock.

-Units is an optional parameter, which selects the units to use. Possible values are KB, MB, GB and TB. If you don't use this parameter, all values will be represented in bytes.

-Sum is an optional parameter, which causes the exported file to have just one line with the sum of all data, instead of single lines for each hour in the exported time span.

Examples

This command will export all statistics files in the default data directory of BWMeter to csv files in the folder "C:\Temp" and use GB as units:

ExportStats.exe "C:\Program Files\BWMeter\Data" "C:\Temp" -Units:GB

This command will export the statistics of the current month of the filter called "Internet" in the default data directory of BWMeter to the csv file "Test.csv":

ExportStats.exe "C:\Program Files\BWMeter\Data\Internet.sts" "Test.csv" -Range:Month

This command will export the sum of the statistics of October 2nd, 2004, 03:00 o'clock to November 15th, 2004, 22:59 o'clock of the filter called "Internet" in the default data directory of BWMeter to the csv file "C:\Temp\Internet.csv":

ExportStats.exe "C:\Program Files\BWMeter\Data\Internet.sts" "C:\Temp\Internet.csv" -Range:04100203-04111522 -Sum


Details

The details tab shows all network packets that are measured by the filters. It is intended as information for experienced users (e.g. to detect unwanted internet traffic). Recording each data packet is very time consuming so it takes a lot of CPU time and will slow down your network traffic if your computer is not fast enough. Therefore, it's recommended only to use the details view for special situations where it is needed.

Destination

The network packet details can be displayed in the list window and / or written to a log file. In the Destination group of options, you can choose where to send the details. The list window will display the last 512 packets. The log file doesn't have a restriction regarding the maximum size. It is only limited by the free space on your hard disk.

Options

Resolve IP to Host: If this option is selected, BWMeter will try to resolve IP addresses to host names for displaying details about network packets. E.g. "www.test.com" will be displayed instead of "208.48.34.132". This option is useful for understanding where internet traffic comes from and where it is going. Please keep in mind that this information will just be a hint and not always correct! BWMeter depends on the DNS servers of your system and these DNS servers do not always provide correct information.

Control

The control section includes a button to start recording the details. During recording, a red blinking indicator will be displayed. You can use the Clear button to clear the list window and the log file.

IMPORTANT: recording the details (and writing them to disk) takes a lot of computing time and it will slow down fast network traffic if the computer is not fast enough. Please always make sure to stop recording if you don't need it! Recording will continue even if you close the main dialog of BWMeter.

Details

Each line in the details list represents one data packet captured by the selected filter(s). The syntax is:

Time: Source:SPort -> Destination:DPort : x bytes, protocol: p

Time is the date and time when the packet was captured.

Source is the address or host computer where the packet comes from, SPort is the source port number.

Destination is the address or host computer where the packet goes to, DPort is the destination port number.

x is the length of the data packet in bytes, and p is the protocol number used.


Stopwatch

The stopwatch can be used to measure the data transfer picked up by one or more selected filters during a time interval. You can start the stopwatch by pressing "Start". To stop it, press the same button again. The stopwatch will show you the elapsed time, the total data transferred during the time interval, as well as the minimum, maximum, average and current transfer rate. This is useful to measure connection speeds, monitor downloads (or uploads), etc.


Alerts

Alerts are useful to check if the activity of filters has reached certain threshold values and set speed limits or notify the user in some way. Also, you can display the current percentage level in a graph. This way, you can e.g. display how much of a monthly limit you've already used or what the current average transfer speed is.

Alerts

This list shows all currently defined alerts in alphabetical order. You can add, copy or delete alerts by pressing the corresponding buttons on the right side of the list box. Each alert must have a unique name!

Filters to Watch

This list shows the filters which this alert watches. The sum of the traffic of all filters will be watched. You can add or remove filters by pressing the corresponding buttons on the right side of the list box.

Condition

This group specifies the condition the alert is checking for.

Notify when: here you can choose if the download, the upload or the sum of download and upload will be watched.

Reaches: check this option if you want to be alerted when the traffic reaches a given value. You can specify the value and the period that should be examined. E.g. if you have a download limit of 10 GB each month, you could raise an alert when your download has reached 9 GB during the current month. You can also use this alert for an alert indicator in a graph window - it will show you a graphical representation of the percentage already used.

Traffic: this option lets you check if the traffic volume rises above or falls below a given value. This can be used to e.g. shut down the computer when a download is finished. You can also set this value to the maximum speed of your internet connection and use the alert as an indicator of the current average speed in a graph.

Each time: this option raises an alert each time a given amount of data is transferred. You can use this like a "ticker" or for other statistical evaluation. The minimum resolution is one second.

Action

Here you can chose the type of action to be taken if the alert is triggered. If you just use the alert for an indicator in a graph, you don't need to define any action.

Notification

Here you can choose the type of notification:

Play sound: this option plays the selected sound. Use the "Browse..." button to find the sound (WAV format) and the "Test" button to test it. BWMeter comes with a default "Red Alert" sound, which can be found in the program installation directory.

Run program or file: this option runs the selected program (or opens the selected file). The first edit field is the program (or document file) and the second is an optional parameter. Use the "Browse..." button to find the files and the "Test" button to test the notification.

Display message: this option displays a message box with information about the alert that executed this notification.

Send email: this option sends an email to a given recipient. You must specify the SMTP server to use and the destination email address. Click the "Advanced..." button to open the advanced options, where you can choose a custom email subject, a different "From" address for the email, the port (default is 25, for SSL 465 or 587 - please ask your email provider for the exact port to use), wether to use SSL (secure connection) and an optional login for your SMTP server. You can check if your settings are correct by pressing the "Test" button.

Clear statistics of filters that triggered the alert: this option clears the statistics of all filters that were involved in the alert (all filters in the list of filters to watch of the alert).

Shut down the computer: this option shuts down the computer. This is useful e.g. to shut down the computer when a download is finished. Another example is to create a filter which indicates when hostile connections are made to your computer. When this filter captures data, BWMeter could automatically shut down your computer to prevent damage.

Speed Limit

Chose this option to activate a speed limit when the alert is triggered. The speed limit can be defined the same way as for the filters (please see there for details). As soon as the alert is triggered, this speed limit will become active and in the filter options you'll see "Current speed limit: Alert". When the condition for the alert is not true anymore, the original speed limit of the filter will become active again.

This speed limit option is very useful if you want to restrict the traffic to a certain amount. E.g. if your provider allows a maximum of 10 GB each month, you could set a speed limit to become active at 9 GB and limit all further traffic to a few KB/s, so that reading emails etc. will still be possible without exceeding the maximum allowed bandwidth. Or you can simply stop the traffic completely when 9,9 GB are reached.


Remote

BWMeter can collect statistics and show the filter activities of other computers running BWMeter. This is useful if you want to monitor the data transfer of several computers in your network from one central point. If your network is not connected by a hub (but by switches or routers), BWMeter will not be able to monitor network packets of other computers in the network (see the Options page) directly. In this case, you can use the remote features to see the activity and get the statistics of other PCs running BWMeter. Please note that in this case, BWMeter must be installed, configured correctly and running on each computer you want to get the statistics of.

Remote Features

Enable remote filters in local graphs: Switch this option on to be able to add filters of other computers in the network to the graphs of BWMeter. The activity of the remote filters will be displayed in real-time - however, due to network issues, it's possible that the data can not be transferred each and every second. Therefore, there can be gaps and spikes in the graph of remote filters. If you want to fix this issue, you can use the smoothing option for the graph (in the visual styles group).

Enable remote statistics: Switch this option on to enable the remote statistics feature. It must be enabled on all computers from which you want to get the statistics, as well as on the one computer which is collecting the statistics from the others.

Update interval: This is the update interval for the statistics in minutes. BWMeter will poll the statistics of all defined remote computers in this interval. The data for the graph windows is updated in the time interval selected in the graph options.

Remote Options

Port: This is the communications port number to use. Default is 24810 and you should only change that if there are conflicts with other programs. Please note that the port number has to be the same on all computers exchanging statistics.

Connection timeout: This specifies how long BWMeter will try to connect to other computers to get remote statistics. Usually, it can connect instantly, but if a PC is switched off (or BWMeter is not running on that PC), BWMeter will try to connect until the timeout is reached.

Only accept connections from: With this option you can control which computers can connect to BWMeter on this computer to get remote statistics. If this option is switched off, any computer can connect and get statistics data. You can enter a host name, an ip address or an ip mask in the edit field. E.g. 192.168.0.* would mean that any PC in the IP range of 192.168.0.0 to 192.168.0.255 will be allowed to get statistics.

Remote Filters

This is the list of filters of other computers BWMeter will be able to use. The list shows the name of the filter, the location (on which computer it is located) and the the last time the statistics were successfully updated.

You can add filters by pressing the "Add..." button. This will open a dialog where you can enter the host (name or ip address). If you press "List Filters", BWMeter will try to connect to the given host and retrieve a list of filters which are defined on the host. You can now select the filter you want to add or alternatively, you can also enter the filter name manually in the edit field (this is useful if the remote host is not running, for example).

"Delete" removes a filter and the statistics of the selected remote filter. But the filter and its statistics will not be deleted on the remote machine, of course, so you can safely delete a remote filter and add it again later if you need it.

"Update" instructs BWMeter to start updating all remote statistics. Updating can take a while, because BWMeter will try to contact all remote hosts, so please don't expect to see the results immediately.


Troubleshooting

If BWMeter does not work as expected, please check the following list of possible reasons. If this doesn't solve the problem, please send us an email with a detailed description of the problem, your computer configuration, operating system, etc.

How can I monitor my Dial-Up connection?

Dial-up connections are usually combined as the "WAN Network Interface" or "PPP Adapter" (depending on your operating system version). So if you connect to the internet with a modem, ADSL, WAN, RAS, etc., the WAN Network Interface will be the important interface to monitor.

The list "Interfaces to Monitor" in the main options is empty!

Please add at least one network interface. To do this, click "Add" at the side of the list box. A dialog will open with a list of all available network interfaces of your computer. It will only show interfaces which are supported by BWMeter, so if the list is empty or you don't see the interface you'd like to use, please send us an email with your configuration so that we can make further tests.

There is no activity in the graph windows!

Please make sure that the right network interface is listed and monitored in the main options. Check if the graphs are active and if they show at least one filter, which also must be active. Check if you are connected to the network and if transferring data from other computers works. Check the configuration of the filters.

How can I find out how to configure BWMeter for my network?

If the default configuration of BWMeter doesn't suit your needs or doesn't produce the right results, the first step would be to create a filter that catches all network packets. This is done by selecting "ALL" as source and destination in the filter options. Now you can take a look at the "Details" tab and you'll see all packets that BWMeter can monitor. Produce some network traffic (by sending files to another computer or by browsing the internet on one of the machines in your network) to see what the packets look like when they come from a specific PC in your network. Based on this information, you can create your special filters / graphs.

The network statistics don't show internet transfers of other computers in my network!

Please make sure that your network interface is running in promiscuous mode. It must be set to monitor "All traffic" in the main options.

A graph only shows yellow lines, no green and red ones!

Yellow lines mean, that BWMeter could not determine the direction of the traffic. E.g. if a filter has "LOCAL" as source and destination, it will monitor all activity within the local network. But because both source and destination apply to all computers in the local network, there is no direction of the traffic. Data transfers of this kind will be shown in yellow (yellow is the default color, but you can change it in the graph options).

All traffic (local and internet) is displayed in the internet graph and the LAN graph is empty!

Please check the "Local Network" settings in the options. The mask of the ip addresses in your LAN must be set correctly so that BWMeter can distinguish between local and internet traffic.

How can I disable the ghost mode of the graphs? I switched it on and now I can't click the graphs anymore!

Please unselect the ghost mode in the "Visual Style" options of the graph or simply restart BWMeter while it is already running. This will switch off the ghost mode for all graph windows.


Copyright

Copyright © DeskSoft

Windows 95 / 98 / ME / NT / 2000 / XP / 2003 / 2008, Internet Explorer, etc. are registered trademarks of Microsoft. All other registered trademarks are registered trademarks of their respective owners.